import request from "@/utils/request.js"
import { institutionRegimePage } from '@/api/institution/types';

export const queryRegime = (data:institutionRegimePage) => {
  return request({
    url: '/safe/InstitutionRegimeMaster/query',
    method: 'post',
    data
  })
}

export const queryOperator = (data) => {
  request({
    url: '/safe/InstitutionRuleMaster/query',
    method: 'post',
    data
  })
}

export const queryRisk = (data) => {
  request({
    url: '/safe/RiskListMaster/query',
    method: 'post',
    data
  })
}

export const queryPlan = (data) => {
  request({
    url: '/safe/EmergencyPlanMaster/query',
    method:'post',
    data
  })
}
